Not "easy_installable" under OS X 10.7, 1.1.0 not on PyPI #656

Closed
schlamar opened this Issue Jan 4, 2012 · 8 comments

Comments

Projects
None yet
5 participants

schlamar commented Jan 4, 2012

The new version (1.1.0) includes some fixes so the source could be compiled under Mac OS X 10.7.

But an easy_install matplotlib downloads an old version, because the 1.1.0 sources are not uploaded on PyPI. Please fix this.

Member

WeatherGod commented Jan 5, 2012

for me, version 1.1.0 comes up, and the webpage at http://pypi.python.org/pypi/matplotlib shows v1.1.0. I do not know why you are getting an old version. What version are you getting?

I recently had this problem also but with pip. pip install matplotlib downloaded version 1.0.1.

Owner

efiring commented Jan 18, 2012

This seems to be a recurring problem; e.g., see #297.
@jiffyclub, please report what you find in the log file with

pip install --log=mpl_pip.log matplotlib

I am just guessing that this may provide some clues; I don't have any particular knowledge of pypy, pip, easy_install, etc.

The first 50 lines or so:

Downloading/unpacking matplotlib
  Getting page http://pypi.python.org/simple/matplotlib
  URLs to search for versions for matplotlib:
  * http://pypi.python.org/simple/matplotlib/
  Getting page http://matplotlib.sourceforge.net
  Getting page https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-1.0
  Getting page https://sourceforge.net/project/showfiles.php?group_id=80706&package_id=278194
  Getting page http://sourceforge.net/project/showfiles.php?group_id=80706&package_id=82474
  Getting page https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.1/
  Getting page https://sourceforge.net/project/showfiles.php?group_id=80706&package_id=82474
  Getting page http://sourceforge.net/project/showfiles.php?group_id=80706
  Getting page https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.3/
  Getting page http://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-1.1.0/
  Getting page https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-1.0.1/
  Analyzing links from page http://pypi.python.org/simple/matplotlib/
    Found link http://pypi.python.org/packages/source/m/matplotlib/matplotlib-0.86.tar.gz#md5=4770cbcddabcbab72d48fbb237ed5d8c (from http://pypi.python.org/simple/matplotlib/), version: 0.86
    Found link http://pypi.python.org/packages/source/m/matplotlib/matplotlib-0.86.1.tar.gz#md5=d3727dc75c4c1cff0b0bae856b4e5ad8 (from http://pypi.python.org/simple/matplotlib/), version: 0.86.1
    Found link http://pypi.python.org/packages/source/m/matplotlib/matplotlib-0.86.2.tar.gz#md5=9bb3f2b70a26e131c6b10743e8c49fc5 (from http://pypi.python.org/simple/matplotlib/), version: 0.86.2
    Found link http://pypi.python.org/packages/source/m/matplotlib/matplotlib-0.91.0.tar.gz#md5=059aa32556644760aef9cec9fb8fc3ac (from http://pypi.python.org/simple/matplotlib/), version: 0.91.0
    Found link http://pypi.python.org/packages/source/m/matplotlib/matplotlib-0.91.1.tar.gz#md5=56a9344b077b5accbc4823be19f69dd6 (from http://pypi.python.org/simple/matplotlib/), version: 0.91.1
    Found link http://pypi.python.org/packages/source/m/matplotlib/matplotlib-1.0.1.tar.gz#md5=2196c0482d5b33dc8d33f67bbafc1323 (from http://pypi.python.org/simple/matplotlib/), version: 1.0.1
    Skipping link http://matplotlib.sourceforge.net (from http://pypi.python.org/simple/matplotlib/); not a file
    Skipping link https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-1.0 (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .0
    Skipping link https://sourceforge.net/project/showfiles.php?group_id=80706&package_id=278194 (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .php
    Skipping link http://sourceforge.net/project/showfiles.php?group_id=80706&package_id=82474 (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .php
    Skipping link https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.1/ (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .1
    Skipping link https://sourceforge.net/project/showfiles.php?group_id=80706&package_id=82474 (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .php
    Skipping link http://sourceforge.net/project/showfiles.php?group_id=80706 (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .php
    Skipping link https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.3/ (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .3
    Skipping link http://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-1.1.0/ (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .0
    Skipping link https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-1.0.1/ (from http://pypi.python.org/simple/matplotlib/); unknown archive format: .1
    Found link https://svn.sourceforge.net/svnroot/matplotlib/trunk/matplotlib#egg=matplotlib-dev (from http://pypi.python.org/simple/matplotlib/), version: dev
  Analyzing links from page http://matplotlib.sourceforge.net
    Skipping link http://matplotlib.sourceforge.net/_static/mpl.css (from http://matplotlib.sourceforge.net); unknown archive format: .css
    Skipping link http://matplotlib.sourceforge.net/_static/pygments.css (from http://matplotlib.sourceforge.net); unknown archive format: .css
    Skipping link http://matplotlib.sourceforge.net/_static/opensearch.xml (from http://matplotlib.sourceforge.net); unknown archive format: .xml
    Skipping link http://matplotlib.sourceforge.net/_static/favicon.ico (from http://matplotlib.sourceforge.net); unknown archive format: .ico
    Skipping link http://matplotlib.sourceforge.net/genindex.html (from http://matplotlib.sourceforge.net); unknown archive format: .html
    Skipping link http://matplotlib.sourceforge.net/py-modindex.html (from http://matplotlib.sourceforge.net); unknown archive format: .html
    Skipping link http://matplotlib.sourceforge.net/search.html (from http://matplotlib.sourceforge.net); unknown archive format: .html
    Skipping link http://matplotlib.sourceforge.net/examples/index.html (from http://matplotlib.sourceforge.net); unknown archive format: .html
    Skipping link http://matplotlib.sourceforge.net/gallery.html (from http://matplotlib.sourceforge.net); unknown archive format: .html
    Skipping link http://matplotlib.sourceforge.net/contents.html (from http://matplotlib.sourceforge.net); unknown archive format: .html
    Skipping link http://sourceforge.net/project/project_donations.php?group_id=80706 (from http://matplotlib.sourceforge.net); unknown archive format: .php
    Skipping link https://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-1.1.0/ (from http://matplotlib.sourceforge.net); unknown archive format: .0
    Skipping link http://matplotlib.sourceforge.net/users/whats_new.html (from http://matplotlib.sourceforge.net); unknown archive format: .html

There are a ton of lines that look like this:

Skipping link http://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.1/matplotlib-0.99.1.win32-py2.5.exe/stats/timeline (from http://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.1/); not a file

A few that look like this:

Skipping link http://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.3/%3c%%20if%20%28this.type%20===%20%27f%27%29%20%7b%20%%3e%3c%=%20this.download_url%20%%3e%3c%%20%7d%20else%20%7b%20%%3e%3c%=%20this.url%20%%3e%3c%%20%7d%20%%3e (from http://sourceforge.net/projects/matplotlib/files/matplotlib/matplotlib-0.99.3/); unknown archive format: .url%20%%3e%3c%%20%7d%20%%3e

Finally it says:

Using version 1.0.1 (newest of versions: 1.0.1, 0.91.1, 0.91.0, 0.86.2, 0.86.1, 0.86, dev)
  Downloading from URL http://pypi.python.org/packages/source/m/matplotlib/matplotlib-1.0.1.tar.gz#md5=2196c0482d5b33dc8d33f67bbafc1323 (from http://pypi.python.org/simple/matplotlib/)
Member

WeatherGod commented Jan 27, 2012

What version of PyPi are you using? I wonder if this is a bug with PyPi
that has sinced been fixed. It is obviously parsing the data incorrectly.

As far as I can tell it's the latest:

pip --version
pip 1.0.2 from /usr/local/lib/python2.7/site-packages/pip-1.0.2-py2.7.egg (python 2.7)

As of today pip install matplotlib downloaded matplotlib 1.1.0.

Member

pelson commented Jun 18, 2012

Thanks @jiffyclub for confirming this issue has been fixed. @ms4py I'll close the issue, but if your still having problems please let us know and we can re-open it.

@pelson pelson closed this Jun 18, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment